umbrello 2.32.3 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

associationline.cpp File Reference
`#include "associationline.h"`
`#include "associationwidget.h"`
`#include "debug_utils.h"`
`#include "optionstate.h"`
`#include "uml.h"`
`#include "umldoc.h"`
`#include "umlwidget.h"`
`#include <QDomDocument>`
`#include <QPainter>`
`#include <cstdlib>`
`#include <cmath>`